-- SQL information for user warn and prune hack on petr1fied's 1.0 release
-- Change users table
--
-- Add fields to store warning and pruning info
-- Change notes field, so more info can be stored

ALTER TABLE `users` 
CHANGE `notes` `notes` TEXT DEFAULT NULL, 
ADD `warnedon` INT( 10 ) ,
ADD `prunedon` INT( 10 ) ,
ADD `active` TINYINT( 1 ) DEFAULT '1' NOT NULL ;


-- -
-- Update namemap table for Torrent Moderation
-- -
ALTER TABLE `namemap` ADD `mod_status` INT( 1 ) DEFAULT '0' NOT NULL ;
ALTER TABLE `namemap` ADD `source` VARCHAR( 255 ) ;

-- - 
-- Table structure for table `moderation_statuses`
-- - 

CREATE TABLE `moderation_statuses` (
  `id` int(10) NOT NULL default '0',
  `description` varchar(255) NOT NULL default '',
  `isVisible` tinyint(1) NOT NULL default '1',
  `isDownloadable` tinyint(1) NOT NULL default '1',
  `sortorder` int(1) NOT NULL default '0',
  `isRunable` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='List of possible Moderation Statuses';

-- - 
-- Dumping data for table `moderation_statuses`
-- - 

INSERT INTO `moderation_statuses` VALUES (0, 'unModerated', 1, 1, 1, 1);
INSERT INTO `moderation_statuses` VALUES (1, 'Added to queue', 1, 0, 3, 1);
INSERT INTO `moderation_statuses` VALUES (2, 'Banned', 0, 0, 6, 0);
INSERT INTO `moderation_statuses` VALUES (3, 'Under Investigation', 0, 1, 4, 1);
INSERT INTO `moderation_statuses` VALUES (4, 'Moderated', 1, 1, 2, 1);
INSERT INTO `moderation_statuses` VALUES (5, 'Hidden', 0, 1, 5, 1);


-- - 
-- Table structure for table `torrent_moderations`
-- - 

CREATE TABLE `torrent_moderations` (
  `id` bigint(20) NOT NULL auto_increment,
  `info_hash` varchar(40) NOT NULL default '',
  `moderator` int(10) NOT NULL default '0',
  `mod_ts` int(10) NOT NULL default '0',
  `mod_from` int(1) NOT NULL default '0',
  `mod_to` int(1) NOT NULL default '0',
  `reason` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `info_hash` (`info_hash`)
) TYPE=MyISAM COMMENT='Torrent Moderations history';


-- - 
-- Table structure for table `clients`
-- - 

CREATE TABLE `clients` (
  `pid` varchar(32) NOT NULL default '',
  `clientname` varchar(60) NOT NULL default '',
  `firstseen` int(10) NOT NULL default '0',
  `lastseen` int(10) NOT NULL default '0',
  `port` int(10) NOT NULL default '0',
  PRIMARY KEY  (`pid`,`clientname`,`port`)
) TYPE=MyISAM COMMENT='Store Different BitTorrent Clients used on tracker';


-- - 
-- Table structure for table `Log`
-- -

CREATE TABLE `Log` (
  `ID` bigint(20) NOT NULL auto_increment,
  `TimeStamp` int(10) NOT NULL default '0',
  `File` varchar(30) NOT NULL default '',
  `Error` varchar(255) NOT NULL default '',
  `pid` varchar(32) NOT NULL default '',
  `user_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM COMMENT='Log errors f.e. when error_log is not available, also used for debug info';


-- ---------------------------------
-- New in v0.2
-- ---------------------------------

-- ---
-- Torrent prune hack
-- ---
ALTER TABLE `categories` 
	ADD `prune_num` INT DEFAULT '0' NOT NULL ,
	ADD `prune_per` VARCHAR( 2 ) DEFAULT '-' NOT NULL ,
	ADD `numseed` INT DEFAULT '0' NOT NULL ,
	ADD `numleech` INT DEFAULT '0' NOT NULL ;

-- ---
-- Topic Create Hack
-- ---
ALTER TABLE `categories`
	ADD `phpBBforumid` smallint(5) NOT NULL default '0',
	ADD `followtorrent` tinyint(1) NOT NULL default '0';


-- ---- 2005/05/03 ----
-- Referer logging hack
-- -------
-- Table structure for table `ther_referers`
-- ---
-- Updated on 2005/05/07, different table structure, so if you've got it installed you need to un-comment the next line
-- DROP TABLE `ther_referers`; --
-- by doing this you *will* lose the referers stored so far....


CREATE TABLE IF NOT EXISTS `ther_referers` (
  `ref_id` bigint(20) NOT NULL auto_increment,
  `page` varchar(255) default NULL,
  `referer` varchar(255) NOT NULL default '',
  `seen` int(10) NOT NULL default '0',
  `ref_host` varchar(255) NOT NULL default '',
  `ref_path` varchar(255) default NULL,
  `ref_query` varchar(255) default NULL,
  `ref_fragment` varchar(255) default NULL,
  PRIMARY KEY  (`ref_id`)
) TYPE=MyISAM COMMENT='Store referers';

-- Add the referer block to the options
insert into blocks set content='referer', position='l', sortid=15, status=0



-- ---- 2005/05/04 ----
-- Table structure for table `ther_cheapmail`
-- 

CREATE TABLE `ther_cheapmail` (
  `id` int(11) NOT NULL auto_increment,
  `domain` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `domain` (`domain`)
) TYPE=MyISAM COMMENT='Store cheapmail domains';


-- ---- 2005/05/06 ----
-- Table structure for table `ther_attachments`
-- ---------

CREATE TABLE `ther_attachments` (
  `id` bigint(20) NOT NULL auto_increment,
  `info_hash` varchar(40) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `ext` varchar(4) NOT NULL default '',
  `filetype` enum('image','nfo') default NULL,
  `filesize` bigint(20) NOT NULL default '0',
  `width` int(11) NOT NULL default '0',
  `height` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Store attachments for torrents';

-- ---- 2005/05/07 ----
-- Add Top/Featured downloads block (disabled)
-- ---------
INSERT INTO `blocks` (`content`, `position`, `sortid`, `status`) VALUES ('featdownload', 'c', 2, 0);